Bug 214288 - CVE-2006-5757 ISO9660 __find_get_block_slow() denial of service
Summary: CVE-2006-5757 ISO9660 __find_get_block_slow() denial of service
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Eric Sandeen
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,source=internet,reported=2...
Keywords: Security
Depends On:
Blocks: 214419
TreeView+ depends on / blocked
 
Reported: 2006-11-06 22:06 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-01-30 14:41:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0014 normal SHIPPED_LIVE Important: kernel security update 2007-01-30 14:25:00 UTC

Description Marcel Holtmann 2006-11-06 22:06:53 UTC
Reported as MOKB-05-11-2006:

http://projects.info-pull.com/mokb/MOKB-05-11-2006.html

The ISO9660 filesystem handling code of the Linux 2.6.x kernel fails to properly
handle corrupted data structures, leading to an exploitable denial of service
condition. This particular vulnerability seems to be caused by a race condition
and a signedness issue. When performing a read operation on a corrupted ISO9660
fs stream, the isofs_get_blocks() function will enter an infinite loop when
__find_get_block_slow() callback from sb_getblk() fails ("due to various races
between file io on the block device and getblk").

Comment 5 Jason Baron 2006-11-10 21:59:16 UTC
committed in stream U5 build 42.24. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 7 Mike Gahagan 2007-01-18 18:07:24 UTC
verified with the mokb image and numerous runs of fsfuzz have not reproduced
similar behavior.



Comment 9 Red Hat Bugzilla 2007-01-30 14:41:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0014.html



Note You need to log in before you can comment on or make changes to this bug.